﻿
@{
    ViewData["Title"] = "کوپن تخفیف";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

@section scripts{
    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>
    <script src="~/ADMIN/JS/persian-date.js"></script>
    <script src="~/ADMIN/JS/persian-datepicker-0.4.5.js"></script>
}

@section Styles{
    <link href="~/ADMIN/Content/Styles/persian-datepicker-0.4.5.css" rel="stylesheet" />
}

<style>
    table tr{
        font-weight:400 !important;
    }
</style>
<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<CouponViewModel>()
                    .Name("grid")
                    .Events(e => e.DataBound("DataBound"))
                    .Events(e => e.Edit("Edit"))
                    .Columns(columns =>
                    {
                        columns.Bound(c => c.Name);
                        columns.Bound(c => c.discountType);
                        columns.Bound(p => p.Amount).ClientTemplate(

                            "# if (discountType == 0) { #" +
                               "#=Amount# درصد" +
                             "# } else { #" +
                                   "#=Amount# تومان" +
                             "# } #"
                           );
                        columns.Bound(c => c.Start).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" });
                        columns.Bound(c => c.End).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" });
                        columns.Bound(c => c.Count);
                        columns.ForeignKey(p => p.CategoryID, (System.Collections.IEnumerable)ViewData["Categories"], "CategoryID", "Name").Title("گروه");
                        columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
                        columns.Bound(c => c.IsActive).ClientTemplate(

                           "# if (IsActive) { #" +
                                  "فعال" +
                            "# } else { #" +
                                  "غیر فعال" +
                            "# } #"
                           );
                         columns.Bound(c => c.usageCount);
                        columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
                    })
                   .ToolBar(toolbar =>
                   {
                       toolbar.Create().Text("افزودن کوپن تخفیف");
                   })
                   .Groupable()
                   .ColumnMenu()

                   .Editable(editable =>
                   {
                       editable.Mode(GridEditMode.PopUp).Window(q => q.Width(480));
                       editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                   }
                   )
                   .Pageable(pageable => pageable
                        .Refresh(true)
                        .PageSizes(true)
                        .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                        .PageSizes(new int[] { 10, 20, 30 }))
                   .Navigatable()
                   .Selectable(selectable =>
                   {
                       selectable.Mode(GridSelectionMode.Single);
                       selectable.Type(GridSelectionType.Row);
                   })
                   .Sortable(sortable =>
                   {
                       sortable.SortMode(GridSortMode.SingleColumn);
                   })
                   .ClientDetailTemplateId("details")
                   .Filterable()
                   .Scrollable(s => s.Height("auto").Enabled(false))
                   .DataSource(dataSource => dataSource
                   .Ajax()
                   .Sort(sort => sort.Add("CouponID").Descending())
                   .Model(model => model.Id(p => p.CouponID))
                   .Read(read => read.Action("Coupons_Read", "Coupon"))
                   .Create(create => create.Action("Coupons_Create", "Coupon"))
                   .Update(update => update.Action("Coupons_Update", "Coupon"))
                   .Destroy(destroy => destroy.Action("Coupons_Destroy", "Coupon"))
                   )
        )
    </div>
</div>

<script id="details" type="text/kendo-tmpl">

    @(Html.Kendo().TabStrip()
                           .Name("tabStrip_#=CouponID#")
                           .SelectedIndex(0)                           
                           .Animation(animation => animation.Open(open => open.Fade(FadeDirection.In)))
                           .Items(items =>
                           {
                               items.Add().Text("لیست کوپن های استفاده شده").Content(
                                    @<text>
                                       
                                         <div class="k-rtl">
                                             @(Html.Kendo().Grid<CouponViewModel>()
                                                                .Name("grid_#=CouponID#")
                       .Events(e => e.DataBound("DataBound"))
                       .Events(r => r.DataBound("DataBound_detail"))
                       .Columns(columns =>
                       {

                           columns.Bound(c => c.Mobile).Title("موبایل").Width(100);
                           columns.Bound(c => c.Email).Title("ایمیل");
                           columns.Bound(c => c.ContractName).Title("قرارداد تهیه شده");
                           columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ استفاده");                       
                           columns.Bound(c => c.ContractPrice).HtmlAttributes(new { style = "font-size: 13px;font-weight: 500;" }).ClientTemplate(

                            "\\# if (ContractPrice == 0 || ContractPrice == null) { \\#" +
                                   "<span style='color:green;'>رایگان</span>" +
                                 "\\# } else { \\#" +
                                     "\\#= kendo.toString(ContractPrice, '\\\\\\#\\\\\\#,\\\\\\#')\\# تومان" +
                                 "\\# } \\#"
                           );
                         
                           columns.Bound(c => c.PaymentAmount).Format("{0:n0} تومان").HtmlAttributes(new { style = "font-size: 13px;font-weight: 500;" });
                           columns.Bound(c => c.Payment);
                           columns.Command(command => { command.Destroy().Text(" "); }).Width(90);
                       })

                       .Groupable()
                       .ColumnMenu()
                       .Editable(editable =>
                       {

                           editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");

                       })
                        .Pageable(pageable => pageable
                        .Refresh(true)
                        .PageSizes(true)
                        .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                        .PageSizes(new int[] { 10, 20, 30 }))
                        .Navigatable()
                        .Scrollable(s => s.Height("auto").Enabled(false))
                        .Selectable(selectable =>
                        {
                            selectable.Mode(GridSelectionMode.Single);
                            selectable.Type(GridSelectionType.Row);
                        })
                       .Sortable(sortable =>
                       {
                           sortable.SortMode(GridSortMode.SingleColumn);
                       })
                       .Filterable()
                       .Scrollable()

                       .DataSource(dataSource => dataSource
                         .Ajax()
                      .Sort(sort => sort.Add("CouponID").Descending())
                      .Model(model => model.Id(p => p.CouponID))
                      .Read(read => read.Action("Coupons_Read", "Coupon" , new {CI = "#=CouponID#"}))
                      .Destroy(destroy => destroy.Action("Coupons_Destroy", "Coupon"))
                                                               )
                                                               .ToClientTemplate()
                                             )

                                         </div>
                                
                                    </text>
                                 );

                           })

                      .ToClientTemplate()
    )





</script>

<script>
    function DataBound(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);
            $(this).find('td').each(function (index, value) {
                if ($(this).text().includes(":") && $(this).text().includes("-")) {
                    var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                        .format('jYYYY/jM/jDD HH:mm:ss')
                    result = result.replace(' ', '\n');
                    $(this).text(result)
                }
            })
        });
    }
    function Edit(e) {

        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[16]).hide();
        $(e.container["0"].firstChild.children[17]).hide();
        $(e.container["0"].firstChild.children[20]).hide();
        $(e.container["0"].firstChild.children[21]).hide();
        $(e.container["0"].firstChild.children[22]).hide();
        $(e.container["0"].firstChild.children[23]).hide();
        $(e.container["0"].firstChild.children[24]).hide();
        $(e.container["0"].firstChild.children[25]).hide();
        $(e.container["0"].firstChild.children[26]).hide();
        $(e.container["0"].firstChild.children[27]).hide();
        $(e.container["0"].firstChild.children[28]).hide();
        $(e.container["0"].firstChild.children[29]).hide();
        $(e.container["0"].firstChild.children[30]).hide();
        $(e.container["0"].firstChild.children[31]).hide();
        $(e.container["0"].firstChild.children[32]).hide();
        $(e.container["0"].firstChild.children[33]).hide();
        $(e.container["0"].firstChild.children[34]).hide();
        $(e.container["0"].firstChild.children[35]).hide();
        $(e.container["0"].firstChild.children[36]).hide();
        $(e.container["0"].firstChild.children[37]).hide();
        $(e.container["0"].firstChild.children[38]).hide();
         $(e.container["0"].firstChild.children[39]).hide();
        $(e.container["0"].firstChild.children[40]).hide();
        $(e.container["0"].firstChild.children[41]).hide();

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن کوپن"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش کوپن"
            });
        }

        $(".Start,.End").pDatepicker({
            format: "YYYY/MM/DD HH:mm:ss",
            timePicker: {
                enabled: true
            },
            onSelect: function () {
                moment().format('jYYYY/jM/jD HH:mm:ss');
                var ww = moment($("." + e.container.prevObject["0"].lastElementChild.attributes["0"].ownerDocument.activeElement.className).val(), 'jYYYY/jM/jD HH:mm:ss')
                    .format('YYYY-M-D HH:mm:ss') // 2013-8-25 16:40:00
                $("#" + e.container.prevObject["0"].lastElementChild.attributes["0"].ownerDocument.activeElement.className).val(ww).trigger('change');
                //moment.loadPersian()
            }
        });
    }
    function Error(e) {
        if (e.errors) {
            var message = "خطای رخ داده:\n";
            $.each(e.errors, function (key, value) {
                if ('errors' in value) {
                    $.each(value.errors, function () {
                        message += this + "\n";
                    });
                }
            });
            alert(message);
        }
    }
    function DataBound_detail(e) {  
        
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);


            var model = grid.dataItem(this);
            $(this).find('td').each(function (index, value) {
                if ($(this).text().includes(":") && $(this).text().includes("-")) {
                    var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                        .format('jYYYY/jM/jDD HH:mm:ss')
                    result = result.replace(' ', '\n');
                    $(this).text(result)
                }
            })


            if (model.Payment) $(this).find("td:nth-child(7)").html('<i style= "color:green;vertical-align:middle;" class="material-icons">check_circle</i>')
            else {
                $(this).find("td:nth-child(7)").html('<i style= "color:red;vertical-align:middle;" class="material-icons">cancel</i>')
            }
            
        });
    }
</script>


